local loadingTime = TimeCounter("Loading time = ")
do
	-- 0.73
	local timeStartup = TimeCounter("Start up time = ")
	LoadResource("fonts.xml")
	LoadText("Language.xml")
	LoadResource("StartupResources.xml")
	LoadControlTree("Startup.xml")
	timeStartup:WriteToLog()
end

require "Game.lua"
require "MainMenu.lua"
--require "MainScreen.lua"
require "MainScreenAndShop.lua"
require "AllMovies.lua"
require "Shop.lua"
require "ChooseTank.lua"
--require "Tutorial.lua"
require "ISpy.lua"
require "Money.lua"

do
	-- 0.03
	LoadResource("Music!.xml")
	Sound:PlayTrack("Menu"..PermanentStorage.GetLocalStringOrDef("Current Tank", "1"), true)
	Sound:SetMusicVolume(PermanentStorage.GetGlobalFloat("Music Volume") * 100)
end

do
	-- всё заключено в блок, чтобы объект класса TimeCounter удалился в конце
	-- на самом деле, сборщик мусора не удаляет объект из памяти;
	-- по крайней мере, сразу.
	local time = TimeCounter("Animated textures load time = ")
	LoadResource("PackedResources.xml")
	LoadResource("AnimationResources.xml")
	LoadResource("FishResources.xml")
	time:WriteToLog()
end

do
	local timeTexturesLoad = TimeCounter("Textures load time = ")
	LoadResource("GUI_Resources.xml")
	LoadResource("PreloadedResources.xml")
	LoadResource("BeautyResources.xml")
	LoadResource("SeResources.xml")
	LoadResource("SrResources.xml")
	LoadResource("PlFieldResources.xml")
	timeTexturesLoad:WriteToLog()
end

do
	-- 1.55
	local timeSoundLoad = TimeCounter("Sound load time = ")
	LoadResource("Sound.xml")
	LoadResource("Speech.xml")
	timeSoundLoad:WriteToLog()
end

do
	-- 2.20
	local timeEffectsLoad = TimeCounter("Effects load time = ")
	LoadParticles("effects\\ComfortEffect.xml")
	LoadEffects("effects\\ComfortEffect.xml")
	LoadParticles("effects\\BubblesFishPath.xml")
	LoadEffects("effects\\BubblesFishPath.xml")
	LoadEffects("effects\\LoveIsEffect.xml")
	LoadEffects("effects\\CupEffects.xml")
	LoadEffects("effects\\ChooseTankEffects.xml")
	LoadEffects("effects\\FastHearts.xml")
	LoadEffects("effects\\Breaf.xml")
	LoadEffects("effects\\BeautyEffects.xml")
	LoadEffects("effects\\MetersEffects.xml")
	LoadEffects("effects\\ISpyEffects.xml")
	LoadEffects("effects\\LocationsEffects.xml")
	LoadEffects("effects\\Statistics.xml")
	timeEffectsLoad:WriteToLog()
end

do
	-- 7.52 (6.3 - текстуры уровней)
	localControlTreeTime = TimeCounter("Control tree load time = ")
	LoadControlTree("GUI.xml")
	localControlTreeTime:WriteToLog()
end

GameFunc("XML loaded")

loadingTime:WriteToLog()